Package org.springframework.security.web.webauthn.api

# Class CredProtectAuthenticationExtensionsClientInput.CredProtect

java.lang.Object
org.springframework.security.web.webauthn.api.CredProtectAuthenticationExtensionsClientInput.CredProtect

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  CredProtectAuthenticationExtensionsClientInput

public static class CredProtectAuthenticationExtensionsClientInput.CredProtect extends Object implements Serializable

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`CredProtectAuthenticationExtensionsClientInput.CredProtect.ProtectionPolicy`

## Constructor Summary

Constructors
Constructor
Description
`CredProtect(CredProtectAuthenticationExtensionsClientInput.CredProtect.ProtectionPolicy credProtectionPolicy, boolean enforceCredentialProtectionPolicy)`

## Method Summary

Modifier and Type
Method
Description
`CredProtectAuthenticationExtensionsClientInput.CredProtect.ProtectionPolicy`
`getCredProtectionPolicy()`
`boolean`
`isEnforceCredentialProtectionPolicy()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CredProtect

public CredProtect(CredProtectAuthenticationExtensionsClientInput.CredProtect.ProtectionPolicy credProtectionPolicy, boolean enforceCredentialProtectionPolicy)

## Method Details

### isEnforceCredentialProtectionPolicy

public boolean isEnforceCredentialProtectionPolicy()

### getCredProtectionPolicy

public CredProtectAuthenticationExtensionsClientInput.CredProtect.ProtectionPolicy getCredProtectionPolicy()